/**
 * String utility functions for the Minimax client
 */
/**
 * Capitalizes the first letter of a string
 * @param str - The input string
 * @returns The string with the first letter capitalized
 */
export declare function capitalize(str: string): string;
/**
 * Converts a camelCase string to snake_case
 * @param str - The input string in camelCase
 * @returns The string converted to snake_case
 */
export declare function camelToSnakeCase(str: string): string;
/**
 * Converts a snake_case string to camelCase
 * @param str - The input string in snake_case
 * @returns The string converted to camelCase
 */
export declare function snakeToCamelCase(str: string): string;
